# Yandex.Games SDK developing server

This package allows you to locally develop a game for the project https://yandex.ru/games

## Usage:

```
npx sdk-dev-proxy [options]
```

### Available Options:

  | Command          | Description                                                                                  |
  | -----------------|----------------------------------------------------------------------------------------------|
  | `--help`         |  Show help<br>                                                                               |
  | `--host`, `-h`   |  Host where your game is available (server will proxy to this addres)<br>                    |
  | `--path`, `-p`   |  The folder where your game is located (server will serve static files from this folder)<br> |
  | `--app-id`, `-i` |  ID of your game (it must be draft)<br>                                                      |
  | `--csp`, `-c`    |  Adds a csp header similar to what would be added to your index.html<br>                     |
  | `--log`, `-l`    |  Enable request logger (default: true)<br>                                                   |

For correct start, one of two parameters must be specified `path`, `host`

### Examples

```
npx sdk-dev-proxy -p /home/user/game/ --csp -l false
```
```
npx sdk-dev-proxy -h https://localhost:8000 --csp
```
